import 'package:flutter/material.dart';
import 'package:wyatt_bloc_layout/wyatt_bloc_layout.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';

part 'custom_error_widget.g.dart';

@ComponentCopyWithExtension()
class CustomErrorWidget extends ErrorWidgetComponent
    with $CustomErrorWidgetCWMixin {
  CustomErrorWidget({super.error});

  @override
  Widget build(BuildContext context) => ColoredBox(
        color: Colors.red,
        child: Center(child: Text(error ?? 'Error')),
      );
}
